Subject: Re: initrd problems

From: Sébastien Côté <[email-masked]>
Date: Mon, 22 Jan 2001 15:45:33 -0500

Kyle Harris wrote:
>
> Sébastien Côté wrote:
> > Ok, now this is exactly what I do.  The initrd doesn't get overwritten
> > anymore.  The function mount_root is called, the root device is opened
> > but I get a panic at:
> >
> >         sb = get_super(ROOT_DEV);
> >         if (sb) { goto mount_it}
> >         ...
> >
> >         read_unlock(&file_systems_lock);
> >         panic("VFS: Unable to mount root fs on %s", kdevname(ROOT_DEV));
>
> You'll also get this error if your kernel has not been built with
> support for the filesystem (e.g. ext2) contained on your initrd.

Unfortunately, that's not the problem.  I get the same error if I point
r4 (initrd_start) to an invalid value so I guess the problem must be
with initrd.  Maybe initrd_start shouldn't be 0 when I get to that
point, now I just need to find why it changed!

Thanks anyway,

Sébastien Côté

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/